import React, { Component } from "react";
import "../style/Tip.css";
export class Tip extends Component {
    constructor() {
        super(...arguments);
        this.state = {
            compact: true,
            text: "",
            emoji: "",
        };
    }
    // for TipContainer
    componentDidUpdate(nextProps, nextState) {
        const { onUpdate } = this.props;
        if (onUpdate && this.state.compact !== nextState.compact) {
            onUpdate();
        }
    }
    render() {
        const { onConfirm } = this.props;
        const { text, emoji } = this.state;
        return (React.createElement("div", { className: "Tip" },
            React.createElement("div", { className: "Tip__compact", onClick: () => {
                    // onOpen();
                    onConfirm({ text, emoji });
                    this.setState({ compact: false });
                } }, "Add highlight")));
    }
}
export default Tip;
//# sourceMappingURL=Tip.js.map